libnih1_1.0.3-10+b2_i386.deb


Advertisement

Description

libnih1 - NIH Utility Library

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libnih1_1.0.3-10+b2_i386.deb
Package name libnih1
Package version 1.0.3
Package release 10+b2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://launchpad.net/libnih
License -
Maintainer Debian QA Group <packages@qa.debian.org>
Download size 122.27 KB
Installed size 197.00 KB
libnih is a light-weight "standard library" of C functions to ease the
development of other libraries and applications, especially those
normally found in /lib.
This package contains the shared library.

Alternatives

Package Version Architecture Repository
libnih1_1.0.3-10+b2_amd64.deb 1.0.3 amd64 Debian Main
libnih1 - - -

Requires

Name Value
libc6 >> 2.28
libc6 << 2.29

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libnih1_1.0.3-10+b2_i386.deb
Source Package libnih

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libnih1 deb package:
    # sudo apt-get install libnih1

Files

Path
/lib/libnih.so.1
/lib/libnih.so.1.0.0
/usr/share/doc/libnih1/AUTHORS
/usr/share/doc/libnih1/NEWS.gz
/usr/share/doc/libnih1/README
/usr/share/doc/libnih1/changelog.Debian.gz
/usr/share/doc/libnih1/changelog.Debian.i386.gz
/usr/share/doc/libnih1/changelog.gz
/usr/share/doc/libnih1/copyright

Changelog

2018-01-06 - Axel Beckert <abe@debian.org>
libnih (1.0.3-10) unstable; urgency=medium
* QA upload.
* Adapt test suite to expat 2.2.5. (Closes: #886416)
* Declare compliance with Debian Policy 4.1.3.
* Bump debhelper compatibility level to 11.
+ Update versioned debhelper build-dependency accordingly.
* Update Vcs-* headers for switch to salsa.debian.org.
2017-11-27 - Axel Beckert <abe@debian.org>
libnih (1.0.3-9) unstable; urgency=low
* QA upload.
* Apply "wrap-and-sort -a".
* Declare compliance with Debian Policy 4.1.1.
* Restrict architecture to "linux-any". Never built successfully
anywhere else. (Closes: #757250)
* Convert debian/copyright to machine-readable DEP5 format.
* Set "Rules-Requires-Root: no".
* Bump debhelper compatibility level to 10.
+ Update versioned debhelper build-dependency accordingly.
+ Remove explicit "--with autoreconf" from debian/rules.
+ Remove explicit build-dependency on dh-autoreconf.
2016-11-15 - Helmut Grohne <helmut@subdivi.de>
libnih (1.0.3-8) unstable; urgency=medium
* QA upload.
* Fix .so symlinks broken in previous upload.
2016-11-10 - Helmut Grohne <helmut@subdivi.de>
libnih (1.0.3-7) unstable; urgency=medium
* QA upload.
* Bump debhelper compat level to 9 to be able to use multiarch paths and to
allow using dh-exec.
* Move pkg-config files to a multiarch location to fix cross builds.
2016-09-04 - Aurelien Jarno <aurel32@debian.org>
libnih (1.0.3-6) unstable; urgency=medium
* QA upload.
* Fix wrong ptrace expectations in test_child.c, causing the testsuite
to fail with glibc >= 2.24.
2016-05-26 - Manuel A. Fernandez Montecelo <mafm@debian.org>
libnih (1.0.3-5) unstable; urgency=medium
* QA upload.
* Orphaning package, maintainer not active.
* Bump Policy Standards-Version to 3.9.8 (no changes needed)
2014-07-15 - Manuel A. Fernandez Montecelo <mafm@debian.org>
libnih (1.0.3-4.3) unstable; urgency=medium
* Non-maintainer upload.
* Run dh-autoreconf to update config.{sub,guess} and
{libtool,aclocal}.m4, necessary for some new ports.  Thanks Mauricio
Faria de Oliveira.  (Closes: #689622)
2013-11-11 - Steve Langasek <vorlon@debian.org>
libnih (1.0.3-4.2) unstable; urgency=low
* Non-maintainer upload.
* Cherry-pick from upstream: update dbus code generator to allow for empty
lists for type 'as'.  Closes: #728036.
2012-12-31 - Michael Stapelberg <stapelberg@debian.org>
libnih (1.0.3-4.1) unstable; urgency=low
* Non-maintainer Upload.
[ Petr Lautrbach <plautrba@redhat.com>, Dmitrijs Ledkovs ]
* Fallback to lstat, if dirent.d_type is not available (not portable)
Closes: #695604
2011-05-02 - Scott James Remnant <scott@netsplit.com>
libnih (1.0.3-4) unstable; urgency=low
* Rebuild for new libc to update versioned dependency; this comes from
the __abort_msg dependency, dpkg-shlibs needs overriding since this is
actually a weak link, but this rebuild fixes things for now.
Closes: #625257.

See Also

Package Description
libnini-cil-dev_1.1.0+dfsg.2-5_all.deb CLI library for managing configuration files
libnini-doc_1.1.0+dfsg.2-5_all.deb CLI library for managing configuration files (Documentation)
libnini1.1-cil_1.1.0+dfsg.2-5_all.deb CLI library for managing configuration files
libnitrokey-common_3.4.1-4_all.deb architecture independent files for libnitrokey
libnitrokey-dev_3.4.1-4_i386.deb library to communicate with Nitrokey stick devices (development)
libnitrokey3_3.4.1-4_i386.deb library to communicate with Nitrokey stick devices
libnjb-dev_2.2.7~dfsg0-4+b3_i386.deb Creative Labs Nomad Jukebox library development files
libnjb-doc_2.2.7~dfsg0-4_all.deb Creative Labs Nomad Jukebox library documentation
libnjb-tools_2.2.7~dfsg0-4+b3_i386.deb Creative Labs Nomad Jukebox library tools
libnjb5_2.2.7~dfsg0-4+b3_i386.deb Creative Labs Nomad Jukebox library
libnkf-perl_2.1.5-1_i386.deb Network Kanji code conversion Filter for Perl
libnl-3-200_3.4.0-1_i386.deb library for dealing with netlink sockets
libnl-3-dev_3.4.0-1_i386.deb development library and headers for libnl-3
libnl-cli-3-200_3.4.0-1_i386.deb library for dealing with netlink sockets - cli helpers
libnl-cli-3-dev_3.4.0-1_i386.deb development library and headers for libnl-cli-3
Advertisement
Advertisement